> For the complete documentation index, see [llms.txt](https://docs.maple.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maple.finance/technical-resources/interfaces/fixed-term-loan-manager-initializer.md).

# FixedTermLoanManagerInitializer

## Functions

### `accountedInterest`

```solidity
    function accountedInterest()
        view
        returns (
            uint112
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint112` |   `uint112`   |             |

### `allowedSlippageFor`

```solidity
    function allowedSlippageFor(
        address
    )
        view
        returns (
            uint256
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint256` |   `uint256`   |             |

### `decodeArguments`

Decodes the initialization arguments of a loan manager.

```solidity
    function decodeArguments(
        bytes calldata_
    )
        pure
        returns (
            address poolManager_
        );
```

#### Parameters:

| Index |     Name    |   Type  | Internal Type | Description                              |
| :---: | :---------: | :-----: | :-----------: | ---------------------------------------- |
|   0   | `calldata_` | `bytes` |    `bytes`    | ABI encoded address of the pool manager. |

#### Return Values:

| Index |      Name      |    Type   | Internal Type | Description                  |
| :---: | :------------: | :-------: | :-----------: | ---------------------------- |
|   0   | `poolManager_` | `address` |   `address`   | Address of the pool manager. |

### `domainEnd`

```solidity
    function domainEnd()
        view
        returns (
            uint48
        );
```

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint48` |    `uint48`   |             |

### `domainStart`

```solidity
    function domainStart()
        view
        returns (
            uint48
        );
```

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint48` |    `uint48`   |             |

### `encodeArguments`

Encodes the initialization arguments of a loan manager.

```solidity
    function encodeArguments(
        address poolManager_
    )
        pure
        returns (
            bytes calldata_
        );
```

#### Parameters:

| Index |      Name      |    Type   | Internal Type | Description                  |
| :---: | :------------: | :-------: | :-----------: | ---------------------------- |
|   0   | `poolManager_` | `address` |   `address`   | Address of the pool manager. |

#### Return Values:

| Index |     Name    |   Type  | Internal Type | Description                              |
| :---: | :---------: | :-----: | :-----------: | ---------------------------------------- |
|   0   | `calldata_` | `bytes` |    `bytes`    | ABI encoded address of the pool manager. |

### `fundsAsset`

```solidity
    function fundsAsset()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `issuanceRate`

```solidity
    function issuanceRate()
        view
        returns (
            uint256
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint256` |   `uint256`   |             |

### `liquidationInfo`

```solidity
    function liquidationInfo(
        address
    )
        view
        returns (
            bool triggeredByGovernor,
            uint128 principal,
            uint120 interest,
            uint256 lateInterest,
            uint96 platformFees,
            address liquidator
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index |          Name         |    Type   | Internal Type | Description |
| :---: | :-------------------: | :-------: | :-----------: | ----------- |
|   0   | `triggeredByGovernor` |   `bool`  |     `bool`    |             |
|   1   |      `principal`      | `uint128` |   `uint128`   |             |
|   2   |       `interest`      | `uint120` |   `uint120`   |             |
|   3   |     `lateInterest`    | `uint256` |   `uint256`   |             |
|   4   |     `platformFees`    |  `uint96` |    `uint96`   |             |
|   5   |      `liquidator`     | `address` |   `address`   |             |

### `minRatioFor`

```solidity
    function minRatioFor(
        address
    )
        view
        returns (
            uint256
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint256` |   `uint256`   |             |

### `paymentCounter`

```solidity
    function paymentCounter()
        view
        returns (
            uint24
        );
```

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint24` |    `uint24`   |             |

### `paymentIdOf`

```solidity
    function paymentIdOf(
        address
    )
        view
        returns (
            uint24
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint24` |    `uint24`   |             |

### `payments`

```solidity
    function payments(
        uint256
    )
        view
        returns (
            uint24 platformManagementFeeRate,
            uint24 delegateManagementFeeRate,
            uint48 startDate,
            uint48 paymentDueDate,
            uint128 incomingNetInterest,
            uint128 refinanceInterest,
            uint256 issuanceRate
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `uint256` |   `uint256`   |             |

#### Return Values:

| Index |             Name            |    Type   | Internal Type | Description |
| :---: | :-------------------------: | :-------: | :-----------: | ----------- |
|   0   | `platformManagementFeeRate` |  `uint24` |    `uint24`   |             |
|   1   | `delegateManagementFeeRate` |  `uint24` |    `uint24`   |             |
|   2   |         `startDate`         |  `uint48` |    `uint48`   |             |
|   3   |       `paymentDueDate`      |  `uint48` |    `uint48`   |             |
|   4   |    `incomingNetInterest`    | `uint128` |   `uint128`   |             |
|   5   |     `refinanceInterest`     | `uint128` |   `uint128`   |             |
|   6   |        `issuanceRate`       | `uint256` |   `uint256`   |             |

### `paymentWithEarliestDueDate`

```solidity
    function paymentWithEarliestDueDate()
        view
        returns (
            uint24
        );
```

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint24` |    `uint24`   |             |

### `poolManager`

```solidity
    function poolManager()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `principalOut`

```solidity
    function principalOut()
        view
        returns (
            uint128
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint128` |   `uint128`   |             |

### `sortedPayments`

```solidity
    function sortedPayments(
        uint256
    )
        view
        returns (
            uint24 previous,
            uint24 next,
            uint48 paymentDueDate
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `uint256` |   `uint256`   |             |

#### Return Values:

| Index |       Name       |   Type   | Internal Type | Description |
| :---: | :--------------: | :------: | :-----------: | ----------- |
|   0   |    `previous`    | `uint24` |    `uint24`   |             |
|   1   |      `next`      | `uint24` |    `uint24`   |             |
|   2   | `paymentDueDate` | `uint48` |    `uint48`   |             |

### `unrealizedLosses`

```solidity
    function unrealizedLosses()
        view
        returns (
            uint128
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint128` |   `uint128`   |             |

## Events

### `Initialized`

Emitted when the loan manager is initialized.

```solidity
    event Initialized(
        address poolManager_
    );
```

#### Parameters:

| Index |      Name      |    Type   | Internal Type | Description                             |
| :---: | :------------: | :-------: | :-----------: | --------------------------------------- |
|   0   | `poolManager_` | `address` |   `address`   | Address of the associated pool manager. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maple.finance/technical-resources/interfaces/fixed-term-loan-manager-initializer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
